Hugging Face

Get Hugging Face paper full text

Get the full text of a Hugging Face paper as Markdown.

GET/v1/hugging-face/papers/{arxivId}/content
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
arxivIdstringrequiredpath

arXiv id of the paper, e.g. `1706.03762`. A version suffix (`v2`) is ignored: Hugging Face keeps one page per paper.

pattern: ^\d{4}\.\d{4,5}(?:v\d+)?$

Response fields
10

Endpoint-specific response payload.

datalookupStatus
string

Whether the item was found.

one of: found, not_found

The paper's text when it is available; otherwise null.

datacontentmarkdown
string

The paper's full text as Markdown.

datacontentsizeBytes
integer

Size of the text in bytes.

datacontentsourceUrl
string

Page of the paper the text belongs to.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/hugging-face/papers/1706.03762/content" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Paper full text.